Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1366332

Summary: [RFE] Need an easier(Or more user friendly) way of removing bricks from an disperse or erasure coded volumes
Product: Red Hat Gluster Storage Reporter: nchilaka <nchilaka>
Component: glusterdAssignee: Atin Mukherjee <amukherj>
Status: CLOSED DEFERRED QA Contact: Bala Konda Reddy M <bmekala>
Severity: low Docs Contact:
Priority: low    
Version: rhgs-3.1CC: amukherj, aspandey, jahernan, pkarampu, rhs-bugs, sankarshan, sheggodu, storage-qa-internal, vbellur
Target Milestone: ---Keywords: FutureFeature, Reopened, ZStream
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-25 09:13:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description nchilaka 2016-08-11 16:12:08 UTC
Description of problem:
======================
let us think that we have a 3x(8+3) volume
no if i want to remove bricks of  the second dht subvol , then i have to find out the bricks in that subvol
currently there is no clear way of the admin knowing. He/she needs to consider the list of bricks from brick12 ...brick22 from the volume info.
And now to remove the admin needs to mention each of that brick.

Instead why not make it something like gluster v remove-brick <vname> dht-subvol-number/group number.
We can display the vol info in groups and each group with an ID, say 1,2,3 and so on
the admin can just enter gluster v remove-brick vname groupid 2




Version-Release number of selected component (if applicable):

3.7.9-10

Comment 4 Sunil Kumar Acharya 2018-01-04 06:25:24 UTC
This issue will be addressed as part of:

https://github.com/gluster/glusterd2/issues/516

Comment 5 Xavi Hernandez 2018-10-25 08:48:43 UTC
The referenced issue has been closed, so I assume this bug can be closed as well.

This feature should be supported with GD2.

Comment 6 Xavi Hernandez 2018-10-25 08:53:07 UTC
Sorry for closing this. I thought it was an upstream bug...

Leaving this open until the feature is available, but changing the component to "glusterd" as it has nothing to do with "disperse".

Comment 7 Atin Mukherjee 2018-10-25 09:13:38 UTC
This BZ will not be addressed at RHGS 3.x series.